Skip to main content
`Ctrl`+`K`

# PetscSpaceGetHeightSubspace

Get the subset of the primal space basis that is supported on a mesh point of a given height.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceGetHeightSubspace(PetscSpace sp, PetscInt height, PetscSpace *subsp)

Not Collective

## Input Parameters

- sp - the `PetscSpace` object

- height - the height of the mesh point for which the subspace is desired

## Output Parameter

- subsp - the subspace

## Notes

If the space is not defined on mesh points of the given height (e.g. if the space is discontinuous and pointwise values are not defined on the element boundaries), or if the implementation of `PetscSpace` does not support extracting subspaces, then NULL is returned.

This does not increment the reference count on the returned space, and the user should not destroy it.

## See Also

`PetscDualSpaceGetHeightSubspace()`, `PetscSpace`

## Level

advanced

## Location

src/dm/dt/space/interface/space.c

## Implementations

PetscSpaceGetHeightSubspace_Polynomial() in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpaceGetHeightSubspace_Ptrimmed() in src/dm/dt/space/impls/ptrimmed/spaceptrimmed.c
PetscSpaceGetHeightSubspace_Sum() in src/dm/dt/space/impls/sum/spacesum.c
PetscSpaceGetHeightSubspace_Tensor() in src/dm/dt/space/impls/tensor/spacetensor.c
PetscSpaceGetHeightSubspace_WXY() in src/dm/dt/space/impls/wxy/spacewxy.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages